lint:
  stage: test
  extends:
  - .rules:merge-requests
  image: alpine:${ALPINE_VERSION}
  before_script:
  - apk add --no-cache bash jq
  script:
  # detect bad JSON (violation)
  - bash -c 'jq . packer.json > /dev/null || ( echo "Bad JSON in packer.json" && exit 1 )'
  # enforce correctly formatted JSON
  - bash -c 'diff <(cat packer.json) <(jq . packer.json) > /dev/null || ( echo "You must format the packer file" && exit 1 )'

validate:
  stage: test
  extends:
  - .windows 2019
  - .rules:merge-requests
  variables:
    VERSION: dev-${CI_COMMIT_SHORT_SHA}
  script:
  - packer validate packer.json

cookbooks-vendor:
  stage: test
  extends:
  - .rules:merge-requests
  image: chef/chefworkstation:22.4.865
  script:
  - apt-get update
  - apt-get install make
  - git status -sb cookbooks/ > /tmp/${CI_JOB_ID}-before
  - make cookbooks-vendor
  - git status -sb cookbooks/ > /tmp/${CI_JOB_ID}-after
  - diff -U0 /tmp/${CI_JOB_ID}-before /tmp/${CI_JOB_ID}-after
